import * as Yup from 'yup';

export default Yup.object().shape({
    height: Yup.string().required('Enter height').max(3, 'Max length is 3 characters'),
    weight: Yup.string().required('Enter weight').max(3, 'Max length is 3 characters'),
    BP: Yup.string()
        .required('Enter blood pressure')
        .max(7, 'Max length is 7 characters')
        .matches(/^\d{1,3}\/\d{1,3}$/, 'Must be in format xxx/xxx'),
});
