import * as Yup from 'yup';
import moment from 'moment';

const today = moment().format('YYYY-MM-DD');

export default Yup.object().shape({
    disease: Yup.string().required('Enter disease').max(20, 'Max length is 20 characters'),
    date: Yup.date().required('Enter date').max(today, 'Max date is today'),
});
