import { createAsyncThunk } from '@reduxjs/toolkit';

import config from 'src/config';
import { paths } from 'src/constants';

const getPlayers = createAsyncThunk('getPlayers', async () => config.axios.get(paths.API.PLAYERS));

export default { getPlayers };
