import { createSelector } from '@reduxjs/toolkit';

import { AnamnesisState } from 'src/constants/interfaces/medicalAnamnesis';

export default createSelector(
    (state: { anamnesis: AnamnesisState }) => ({
        hasLoaded: state.anamnesis.hasLoaded,
        isSubmitting: state.anamnesis.isSubmitting,
        anamnesis: state.anamnesis.data || {},
    }),
    (data) => data,
);
