import { createSelector } from '@reduxjs/toolkit';

import { PlayerState } from 'src/constants/interfaces/player';

export default createSelector(
    (state: { player: PlayerState }) => ({
        hasLoaded: state.player.hasLoaded,
        isSubmitting: state.player.isSubmitting,
        player: state.player.data,
    }),
    (data) => data,
);
