import React, { FC, memo } from 'react';
import { Spinner } from '@chakra-ui/react';

const Loader: FC = () => {
    return (
        <Spinner
            thickness="5px"
            speed="0.65s"
            emptyColor="blue.100"
            color="darkgoldenrod"
            size="xl"
            alignSelf="center"
        />
    );
};

export default memo(Loader);
