export interface AuthData {
    username: string;
    password: string;
}

export interface AuthPayloadData {
    token: string;
    id: number;
    username: string;
    first_name: string;
    last_name: string;
    email: string;
    is_staff: boolean;
    is_superuser: boolean;
}

export interface AuthState {
    data: AuthPayloadData;
    isSubmitting: boolean;
    hasLoaded: boolean;
}

export interface AuthPayload {
    data: AuthPayloadData;
}
