interface Anamnesis {
    value: number;
    text: string;
}

export interface AnamnesisData {
    id: number;
    player: number;
    time_made: Date;
    family_anamnesis: Array<Anamnesis>;
    player_anamnesis: Array<Anamnesis>;
    symptoms: Array<Anamnesis>;
}

export interface AnamnesisState {
    data: AnamnesisData;
    hasLoaded: boolean;
    isSubmitting: boolean;
}

export interface AnamnesisPayload {
    data: AnamnesisData;
}
