import { createSelector } from '@reduxjs/toolkit';

import { GeneralState } from 'src/constants/interfaces/generalMedicalOverview';

export default createSelector(
    (state: { general: GeneralState }) => ({
        hasLoaded: state.general.hasLoaded,
        isSubmitting: state.general.isSubmitting,
        general: state.general.data || {},
    }),
    (data) => data,
);
