import { createSelector } from '@reduxjs/toolkit';

import { MedicineState } from 'src/constants/interfaces/medicine';

export default createSelector(
    (state: { medicine: MedicineState }) => ({
        hasLoaded: state.medicine.hasLoaded,
        isSubmitting: state.medicine.isSubmitting,
        medicine: state.medicine.data || {},
    }),
    (data) => data,
);
