import { createSelector } from '@reduxjs/toolkit';

import { VaccinationState } from 'src/constants/interfaces/vaccination';

export default createSelector(
    (state: { vaccination: VaccinationState }) => ({
        hasLoaded: state.vaccination.hasLoaded,
        isSubmitting: state.vaccination.isSubmitting,
        vaccination: state.vaccination.data || {},
    }),
    (data) => data,
);
