import { configureStore } from '@reduxjs/toolkit';

import { responseHandler } from 'src/middleware/responseHandler';

import reducers from './reducers';

export default configureStore({
    reducer: reducers,
    middleware: (getDefaultMiddleware) =>
        getDefaultMiddleware({
            serializableCheck: false,
        }).concat(responseHandler),
});
