from django.contrib import admin
from medical_api.medical.models import GeneralMedicalOverview, Player, MedicalAnamnesis, Vaccination, Medicine

# Register your models here.
@admin.register(Player)
class PlayerAdmin(admin.ModelAdmin):
    list_display = ('name', 'date_of_birth')

@admin.register(GeneralMedicalOverview)
class GeneralMedicalOverviewAdmin(admin.ModelAdmin):
    list_display = ('time_made', 'player')

@admin.register(MedicalAnamnesis)
class MedicalAnamnesisAdmin(admin.ModelAdmin):
    list_display = ('time_made', 'player')

@admin.register(Vaccination)
class VaccinationAdmin(admin.ModelAdmin):
    list_display = ('time_made', 'player')

@admin.register(Medicine)
class MedicineAdmin(admin.ModelAdmin):
    list_display = ('time_made', 'player')
